{% extends "base-registration.html" %}
{% load bootstrap4 %}
{% load fontawesome_5 %}
{% block title %}{{ view.title }} | Seawatch Registration{% endblock %}
{% block content %}
  <h1>{{ view.title }}</h1>
  {% for registration_step in steps %}
    <div class="row">
      <div class="col-sm-3">
        {{ registration_step.name }}
        {% if not registration_step.optional %}*{% endif %}
      </div>
      <div class="col-sm-2">
        <a class="btn text-primary"
           role="button"
           href="{% url registration_step.view_url_edit %}?next=registration_process"
           data-toggle="tooltip"
           title="edit">{% fa5_icon "edit" "fas" %}</a>
        {% if registration_step.completed %}
          <a data-toggle="tooltip" title="complete">{% fa5_icon "check" "fas text-success" %}</a>
        {% else %}
          <a data-toggle="tooltip" title="missing">{% fa5_icon "times-circle" "fas text-danger" %}</a>
        {% endif %}
      </div>
    </div>
  {% endfor %}
  <form method="post">
    {% csrf_token %}
    {% bootstrap_form form %}
    {% buttons %}
    <button type="submit" class="btn btn-primary">{{ view.submit_button }}</button>
  {% endbuttons %}
</form>
{% endblock %}
